Skip to main content
PUT
/
api
/
svc
/
v1
/
mcp
/
{mcpServerId}
/
auth
Set a per-subject auth override
curl --request PUT \
  --url https://{controlPlaneURL}/api/svc/v1/mcp/{mcpServerId}/auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subjectId": "<string>",
  "authOverride": {
    "headerValue": "<string>"
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mcpServerId
string
required

MCP server id (the id returned by GET /v1/mcp, not the name).

Example:

"mcp-01HXYZ..."

Body

application/json

Per-subject credential override input.

subjectId
string
required

Principal id for this auth override (user id, virtual account id, etc.).

Minimum string length: 1
subjectType
enum<string>
required

Principal type for this auth override.

Available options:
user,
virtualaccount
authOverride
HeaderAuthOverride · object
required

Override authentication with a static header value.

Response

Auth override saved.